Bug 114829 - Remove the dependancy on Tomcat RPM from ccm-tools-servlet-tomcat
Remove the dependancy on Tomcat RPM from ccm-tools-servlet-tomcat
Status: CLOSED RAWHIDE
Product: Red Hat Web Application Framework
Classification: Retired
Component: installation (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gregorovic
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-03 07:54 EST by Daniel Berrange
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 11:47:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-02-03 07:54:30 EST
Description of problem:
The RPMs for Tomcat supplied by JPackage are incredibly difficult to
install, since they have dependancies on packages which are shipped in
source form only. So to install Tomcat RPMs you first have to visit
java.sun.com download the proprietry packages, build and then install
binary RPMs of them. This is completely impratical, so most people
just download the binary ZIP/tag.gz from jakarta.apache.org instead.

In the same way that we pick up installed version of resin by looking
for RESIN_HOME, then /opt/resin/latest, then /opt/resin/2.1.x, we
should do similar for tomcat, looking at TOMCAT_HOME, then
/opt/tomcat/latest, then /opt/tomcat/4.1.x, then /opt/tomcat/4.0.x

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dennis Gregorovic 2004-02-04 02:05:12 EST
@40039
Comment 2 Dennis Gregorovic 2005-03-17 11:47:46 EST
closing old tickets

Note You need to log in before you can comment on or make changes to this bug.